/* Config Options */

/*  DEBUG Options */
/*  DEBUG1 = debug both.c, particularly sgetline() */
/*  DEBUG2 = debug suck.c  */
/*  DEBUG3 = debug rpost.c  */
/*  dont define DEBUG2 and DEBUG3 at same time  */
/*  warning if you have DEBUG1 defined when you compile suck.c, you will get */
/*  every line of every article in the debug output file twice, this can  */
/*  create a debug file many megs in size */
/* #define DEBUG1 */
/* #define DEBUG2 */
/* #define DEBUG3 */

/*  TIMER Option */
/* To see the approximate BPS while downloading articles, uncomment this */
/* If you don't like it, or want a tiny speed increase, comment this out */
#define TIMER

/* If you don't EVER plan to use the KILLFILE stuff, comment this out for a slight speed increase */
/* If you want to, or plan to, use the KILLFILE stuff, uncomment this */
/* #define KILLFILE */

/* If you want the kill/keep file routine to keep articles that are both flagged as */
/* delete and keep (either by matching both a delete group and a keep group, or by not matching */
/* both a delete group and keep group), then uncomment this next one.  If you want them deleted, */
/* then comment this out */
#define KILL_TIEBREAKER_KEEP

/* This is the character used in killfiles to tell if we should do a case sensitive or a */
/* case insensitive compare.  It can be overridden in a killfile. */
#define KILLFILE_QUOTE '"'

/* if you want to log every article that gets killed, then uncomment this */
#define KILLFILE_LOG

/* if your News Server doesn't like the mode_reader command in get_announcements() in suck */
/* uncomment this */
/* #define NNRP	*/
/* if your News Server doesn't like the mode_reader command in rpost, uncomment this */
/* #define RNEWS_NNRP */

/* if you want to timeout if no read after X seconds define this   */
/* as number of seconds before timeout 				   */
/* else, comment it out.  If you comment it out, if link goes down */
/* we'll just sit, twiddling our bits, until whenever.             */
#define TIMEOUT 30

/* signal which will interrupt us DON'T USE SIGKILL OR SIGSTOP */
/* if you don't want to be able to abort, and a miniscule speed */
/* increase, comment this out */
#define MYSIGNAL SIGTERM

/* If your system libs don't have bcopy, uncomment this */
/* #define bcopy(a, b, c) memmove(b, a, c) */

/* If you want to have suck check in your history file for article */
/* that you already have, uncomment this.			    */
/* If you use DBM, DBZ, or NDBM then you need to edit the Makefile  */
/* to show which DB scheme you use. 				    */
#define CHECK_HISTORY

/* To use the new experimental, hopefully faster flat file check history */
/* routines, uncomment this.  You also must uncomment the CHECK_HISTORY above */
/* If you use DBM, DBZ, or NDBM, this doesn't apply */
#define CHECK_HISTORY_EXP

/* don't comment this out */
#define HISTORY_FILE "/usr/lib/news/history"

/* If your system doesn't like the lock file stuff in suck.c  */
/* comment this out */
#define LOCKFILE 

/* FULL PATH of error log used if -e option specifed to any of the programs */
/* can be overridden at the command line with -E option */
#define ERROR_LOG "./suck.errlog"

/* FULL PATH of status messages log if -s option specified to any of the programs */
/* can be overridden at the command line with -S option */
#define STATUS_LOG "/dev/null"		/* /dev/null = silent mode */

/*  FILE NAMES */
/* Data files read in */
#define N_OLDRC 	"sucknewsrc"		/* what newsgroups to download			 */
#define N_KILLFILE 	"suckkillfile"		/* Parameter file for which articles s NOT to download */
#define N_SUPPLEMENTAL 	"suckothermsgs"		/* list of article nrs to add to our list to download */

/* TEMP FILES created */
#define N_NEWRC "suck.newrc"
#define N_SORTED "suck.sorted"
#define N_RESTART "suck.restart"
#define N_KILLLOG "suck.killlog"
#define N_LOCKFILE "suck.lock"

/* Various DIRECTORY PATHS, these can be overriden from command line */
#define N_TMPDIR "."		/* location of Temp Files */
#define N_DATADIR "."		/* location of Data Files */
#define N_MSGDIR "./Msgs"	/*location of articles produced by suck, if multifile option selected */

/* Argument substition strings for rpost */
#define RPOST_FILTER_IN "$$i"
#define RPOST_FILTER_OUT "$$o"

/* Max nr of args to the rpost filter */
#define RPOST_MAXARGS 128

/* RNEWS program called by lpost */
#define RNEWS "/usr/lib/news/rnews"

/* character used as a comment in sucknewsrc */
#define SUCKNEWSRC_COMMENT_CHAR '#'

/*  Internal buffer size shouldn't need to change */
#define MAXLINLEN 4096

